Stars Technologies Industrial Ltd. - Parent project #980

[PJ240065] i-Pad case
11 Apr 2025 15:44 - Karnthida Wannasiwaporn

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Karnthida Wannasiwaporn Spent time: 0.00 hour
Description

History

#1 - 11 Apr 2025 15:44 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 06 Nov 2025 09:44 - Siriwilai Chaiwattanaphon
- Status changed from New to Closed

- Start date deleted (11 Apr 2025)

19 Dec 2025
